#!/bin/bash

set -e

. script_env

mkdir -p boot_img

cp fsbl/fsbl.elf "$BOOTIMG_DIR"
cp "$UBOOT_DIR/u-boot.elf" "$BOOTIMG_DIR"

rm -f "$BOOTIMG_DIR/boot.bin"

cat >"$BOOTIMG_DIR/boot.bif" <<EOF
the_ROM_image:
{
    [bootloader]fsbl.elf
    u-boot.elf
}
EOF

source /opt/Xilinx/Vivado/2020.2/settings64.sh
( cd "$BOOTIMG_DIR" ; bootgen -arch zynq -image boot.bif -o boot.bin )

